
.ee-election-lookup {
  display: flex;
  justify-content: center;
}

.ee-election-outcome-table {
  table-layout: auto;
  border-collapse: collapse;
  border-spacing: 0;
  border: 2px solid black;
  width: 100%;

  caption {
    caption-side: bottom;
    padding: 1em 0.5em;
    font-weight: bold;
  }

  th,
  td {
    padding: 0.5em 1em 0.5em 1em;
  }

  th {
    font-size: var(--f-size-larger);
  }
}

.ee-outcome-party-col {
  width: 45%;
}

.ee-outcome-seats-col {
  width: 10%;
}

.ee-outcome-bar-col {
  width: 35%;
}

.ee-outcome-prop-col {
  width: 10%;
}

.ee-outcome-winner {
  font-weight: bold;
}

.ee-percent-bar {
  height: 1em;
  background-color: var(--color-primary);
}


.ee-electorate-table {
  border: 2px solid black;
  overflow-y: auto; /* Adds vertical scrollbar if content exceeds max-height */
  width: 100%;
  table-layout : fixed;
  align-self: center;
  justify-self: center;
}

.aee-electorate-table td {
  padding: 10px;
  text-align: center;
  border: 1px solid var(--color-primary);
}

.ee-electorate-table th {
  padding: 10px;
  background-color: var(--color-primary);
  color: white;
}

/* sticky for the header to keep it visible during vertical scrolling */
.ee-electorate-table thead th {
  position: sticky;
  top: 0;
}

.ee-electorate-table thead th:nth-child(1) {
  width: 70%;
}

.ee-electorate-table td:nth-child(2) {
  text-align: center;
}

.ee-electorate-input {
  width: 100%;
}

.ee-electorate-select-btn {
  width: 100%;
  background-color: var(--color-background);
  padding: 0.5em 1em 0.5em 1em;
  cursor: pointer;
  border: none;
  text-align: left;
  font-weight: bold;
}

.ee-electorate-select-btn:hover {
  background-color: var(--ddc-primary-highlight);
}

